## rg-el 2.3.0

=== Makefile ===
PKG_NAME = $(shell cask info | head -1 | cut -f2 -d" ")
PKG_VERSION = $(shell cask version)
PKG_FULL_NAME = $(PKG_NAME)-$(PKG_VERSION)
SOURCES = $(shell cask files)
OBJECTS = $(SOURCES:.el=.elc)
STYLE_CHECK= -L test -L . -l test/style-check.el
DISABLE_DEFALIAS_CHECK= --eval "(defun package-lint--check-defalias (prefix def))"

SPHINX-BUILD = sphinx-build
DOC_DIR = docs
ORG_DOCS= $(wildcard $(DOC_DIR)/*.org)
RST_OUT_DIR = $(DOC_DIR)/rst
RST_DOCS = $(addprefix $(RST_OUT_DIR)/,$(patsubst %.org,%.rst,$(notdir $(ORG_DOCS))))

all: deps test

test: ert-test style-check package-lint build-test package-test

build-test: clean build
	cask clean-elc

$(RST_DOCS): | $(RST_OUT_DIR)

$(RST_OUT_DIR):
	mkdir $(RST_OUT_DIR)

$(RST_OUT_DIR)/%.rst: docs/%.org
	RST_OUT_DIR=$(abspath $(RST_OUT_DIR)) cask emacs --batch -Q -L . -l docs/org-bootstrap.el $< --funcall rg-export-to-rst

rst: $(RST_DOCS)

html: rst
	$(SPHINX-BUILD) -b html $(RST_OUT_DIR) $(RST_OUT_DIR)/_build/html

info: rst
	$(SPHINX-BUILD) -b texinfo $(RST_OUT_DIR) $(RST_OUT_DIR)/_build/info
	make -C $(RST_OUT_DIR)/_build/info
	cp $(RST_OUT_DIR)/_build/info/rgel.info .

docs: html

clean-docs:
	rm $(RST_OUT_DIR)/*.rst
	make -C $(RST_OUT_DIR) clean

clean:
	cask clean-elc

build: $(OBJECTS)

%.elc: %.el
	cask emacs -batch -Q -L . -eval "(progn (setq byte-compile-error-on-warn t) (batch-byte-compile))" $<

package-test:
	-@rm -r dist 2> /dev/null || true
	-@rm -r /tmp/$(PKG_FULL_NAME)-elpa 2> /dev/null || true
	cask package
	PKG_FULL_NAME=$(PKG_FULL_NAME) emacs -batch -Q -l test/package-bootstrap.el \
		--eval "(progn (package-install-file (expand-file-name \"dist/$(PKG_FULL_NAME).tar\")) (rg \"rg\" \"elisp\" \"/tmp/$(PKG_FULL_NAME)-elpa\"))"

style-check:
	cask emacs -batch -Q $(STYLE_CHECK) -f run-emacs-lisp-flycheck-and-exit $(SOURCES)

package-lint:
	cask emacs -batch -Q $(STYLE_CHECK) $(DISABLE_DEFALIAS_CHECK) -f run-package-lint-and-exit rg.el

unit-test:
	cask exec ert-runner --pattern rg-unit

integration-test:
	cask exec ert-runner --pattern rg-integration

ert-test:
	cask exec ert-runner --quiet

deps:
	cask install

.PHONY: all test build-test clean clean-docs package-test style-check package-lint unit-test integration-test ert-test deps docs

=== debian/changelog ===
rg-el (2.3.0-5) unstable; urgency=medium

  * Remove dependencies on packages kicked out of trixie.

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 05 Mar 2025 11:30:21 -0500

rg-el (2.3.0-4) unstable; urgency=medium

  * Import upstream patch to fix tests in 29.1, hoping to close #1068527,
    still failing.
  * Try to exclude the two remaining failing tests, also failing.

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 21 Nov 2024 09:24:40 -0500

rg-el (2.3.0-3) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 26 Jul 2024 11:08:31 +0900

rg-el (2.3.0-2) unstable; urgency=medium

  * source-only upload to unstable now that we passed NEW, no change
  * ignore test suite failures while we figure out what is broken there

 -- Antoine Beaupré <anarcat@debian.org>  Sat, 06 Apr 2024 23:03:40 -0400

rg-el (2.3.0-1) experimental; urgency=medium

  * Initial release (Closes: #993370)

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 30 May 2023 22:02:51 -0400

=== debian/control ===
Source: rg-el
Section: editors
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Antoine Beaupré <anarcat@debian.org>
Build-Depends: debhelper-compat (= 13)
             , dh-elpa
             , elpa-find-file-in-project <!nocheck>
             , elpa-projectile <!nocheck>
             , elpa-s <!nocheck>
             , elpa-transient <!nocheck>
             , elpa-wgrep <!nocheck>
             , ripgrep <!nocheck>
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/emacsen-team/rg-el
Vcs-Git: https://salsa.debian.org/emacsen-team/rg-el.git
Homepage: https://github.com/dajva/rg.el
Testsuite: autopkgtest-pkg-elpa
Rules-Requires-Root: no

Package: elpa-rg
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}
       , ripgrep
Recommends: emacs
Enhances: emacs
Description: search tool for Emacs based on ripgrep 
 rg.el allows you to interactively create searches, doing automatic
 searches based on the editing context, refining and modifying
 search results and much more.  It is also highly configurable to be
 able to fit different users' needs.
 .
 If you are used to built-in Emacs rgrep command, transitioning to
 rg should be simple.  rg provides a lot of extra features
 but the basics are similar.
 .
 The big benefit of using ripgrep instead of grep as a backend is
 speed.  Especially when searching large source code repositories
 where ripgrep really shines.

## rg-el 2.3.0+git20250625.7611852

=== debian/changelog ===
rg-el (2.3.0+git20250625.7611852-1) unstable; urgency=medium

  * Sync to latest upstream snapshot.
    - To be compatible with transient 0.9.2+.
  * Drop patches; incorporated upstream
  * Build-Depends on elpa-transient >= 0.9.2
  * Update skipped test list with reason
    - 2 of the tests still fail when running under sbuild.
  * Add d/u/metadata
  * Update Standards-Version to 4.7.2; no change needed
  * Add myself to Uploaders
  * Disable tests failing in autopkgtest due to git detection

 -- Xiyue Deng <manphiz@gmail.com>  Thu, 14 Aug 2025 08:05:32 -0700

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,17 @@
 Section: editors
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
-Uploaders: Antoine Beaupré <anarcat@debian.org>
+Uploaders: Antoine Beaupré <anarcat@debian.org>,
+ Xiyue Deng <manphiz@gmail.com>,
 Build-Depends: debhelper-compat (= 13)
              , dh-elpa
              , elpa-find-file-in-project <!nocheck>
              , elpa-projectile <!nocheck>
              , elpa-s <!nocheck>
-             , elpa-transient <!nocheck>
+             , elpa-transient (>= 0.9.2) <!nocheck>
              , elpa-wgrep <!nocheck>
              , ripgrep <!nocheck>
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/emacsen-team/rg-el
 Vcs-Git: https://salsa.debian.org/emacsen-team/rg-el.git
 Homepage: https://github.com/dajva/rg.el

## rg-el 2.4.0

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,17 @@
+EMACS_VERSION=29-4
+DOCKER_IMAGE=rg.el-test-emacs-$(EMACS_VERSION)
+
+ifdef USE_DOCKER
+DOCKER_WRAPPER=docker run --workdir /app --mount type=bind,source="$(PWD)",target=/app $(DOCKER_IMAGE)
+%: run_make
+	@:
+
+.PHONY: run_make
+run_make:
+	$(DOCKER_WRAPPER) $(MAKE) EMACS_VERSION=$(EMACS_VERSION) $(MAKECMDGOALS)
+
+else  # actual Makefile
+
 PKG_NAME = $(shell cask info | head -1 | cut -f2 -d" ")
 PKG_VERSION = $(shell cask version)
 PKG_FULL_NAME = $(PKG_NAME)-$(PKG_VERSION)
@@ -6,6 +20,12 @@
 STYLE_CHECK= -L test -L . -l test/style-check.el
 DISABLE_DEFALIAS_CHECK= --eval "(defun package-lint--check-defalias (prefix def))"
 
+# This setup testing similar to ert-runner for legacy reasons.
+# All files under test/ that matches the source files.
+TEST_FILES = $(filter $(patsubst %,test/%-test.el, $(SOURCES)), $(wildcard test/*.el))
+# Load test-helper.el first, then all test files.
+LOAD_TEST_FILES = -L test -l test-helper $(patsubst %,-l %,$(TEST_FILES:test/%.el=%))
+
 SPHINX-BUILD = sphinx-build
 DOC_DIR = docs
 ORG_DOCS= $(wildcard $(DOC_DIR)/*.org)
@@ -13,6 +33,9 @@
 RST_DOCS = $(addprefix $(RST_OUT_DIR)/,$(patsubst %.org,%.rst,$(notdir $(ORG_DOCS))))
 
 all: deps test
+
+docker-build:
+	docker build --build-arg EMACS_VERSION=$(EMACS_VERSION) -t $(DOCKER_IMAGE) .
 
 test: ert-test style-check package-lint build-test package-test
 
@@ -58,22 +81,44 @@
 	PKG_FULL_NAME=$(PKG_FULL_NAME) emacs -batch -Q -l test/package-bootstrap.el \
 		--eval "(progn (package-install-file (expand-file-name \"dist/$(PKG_FULL_NAME).tar\")) (rg \"rg\" \"elisp\" \"/tmp/$(PKG_FULL_NAME)-elpa\"))"
 
+ifeq ($(findstring 26,$(EMACS_VERSION)), 26)
+style-check:
+package-lint:
+else
 style-check:
 	cask emacs -batch -Q $(STYLE_CHECK) -f run-emacs-lisp-flycheck-and-exit $(SOURCES)
-
 package-lint:
 	cask emacs -batch -Q $(STYLE_CHECK) $(DISABLE_DEFALIAS_CHECK) -f run-package-lint-and-exit rg.el
+endif
+
 
 unit-test:
-	cask exec ert-runner --pattern rg-unit
+	cask emacs --batch -l ert $(LOAD_TEST_FILES) --eval="(ert-run-tests-batch-and-exit \"rg-unit\")"
 
 integration-test:
-	cask exec ert-runner --pattern rg-integration
+	cask emacs --batch -l ert $(LOAD_TEST_FILES) --eval="(ert-run-tests-batch-and-exit \"rg-integration\")"
 
 ert-test:
-	cask exec ert-runner --quiet
+	cask emacs --batch -l ert $(LOAD_TEST_FILES) -f ert-run-tests-batch-and-exit
 
-deps:
+ifeq ($(findstring 26,$(EMACS_VERSION)), 26)
+deps_prepare:
+	cp Cask /tmp/Cask
+	sed -i '/flycheck/d' Cask
+
+deps_cleanup:
+	cp /tmp/Cask Cask
+
+else
+deps_prepare:
+deps_cleanup:
+endif
+
+deps_execute:
 	cask install
 
-.PHONY: all test build-test clean clean-docs package-test style-check package-lint unit-test integration-test ert-test deps docs
+deps: deps_prepare deps_execute deps_cleanup
+
+.PHONY: all test build-test clean clean-docs package-test style-check package-lint unit-test integration-test ert-test deps deps_execute deps_prepare deps_cleanup docs
+
+endif

=== debian/changelog ===
rg-el (2.4.0-2) unstable; urgency=medium

  * new upload to merge team upload from Xiyue that i missed

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 06 Oct 2025 10:59:24 -0400

rg-el (2.4.0-1) unstable; urgency=medium

  * new upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 06 Oct 2025 10:40:50 -0400

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	@echo Using dh-elpa for build/install instead of upstream Makefile.

override_dh_auto_clean:
	@echo Ignoring the "clean" target in upstream Makefile.

override_dh_elpa_test:
  # TODO: wrap this in an if then, and add an else case that just runs dh_elpa_test
	mkdir -p .git
	dh_elpa_test
	rmdir --ignore-fail-on-non-empty .git

=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/rg.el.git-$1.tar.gz/" \
    https://github.com/dajva/rg.el/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
